> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.itential.com/itential-cloud/api-reference/git/list-branches/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.itential.com/_mcp/server. # List the available branches for a repository GET https://example.itential.io/git/{gitType}/repos/{repoPath}/branches Lists the available branches for a repository. Reference: https://docs.itential.com/itential-cloud/api-reference/git/list-branches ## Authentication - `Authorization` header (basic auth, required) — Basic authentication of the form `Basic `. ## Request ### Path parameters - `gitType` (enum, required) — The name of the Git provider that is used - Allowed values: `GitHub`, `GitLab` - `repoPath` (string, required) — The path in Git to the repository ## Response ### 200 The result of retrieving a list of branches from Git - `list of object` - `name` (string, optional) — The name of the branch - `protected` (boolean, optional) — Whether or not the branch is protected ## Errors ### 500 Internal Server Error Error response from API - `any` ## Examples **Response** ```json [ { "name": "main", "protected": true } ] ``` **SDK Code** ```python import requests url = "https://example.itential.io/git/GitHub/repos/repoPath/branches" response = requests.get(url) print(response.json()) ``` ```javascript const url = 'https://example.itential.io/git/GitHub/repos/repoPath/branches'; const options = {method: 'GET'}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://example.itential.io/git/GitHub/repos/repoPath/branches" req, _ := http.NewRequest("GET", url, nil) res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://example.itential.io/git/GitHub/repos/repoPath/branches") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://example.itential.io/git/GitHub/repos/repoPath/branches") .asString(); ``` ```php request('GET', 'https://example.itential.io/git/GitHub/repos/repoPath/branches'); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://example.itential.io/git/GitHub/repos/repoPath/branches"); var request = new RestRequest(Method.GET); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let request = NSMutableURLRequest(url: NSURL(string: "https://example.itential.io/git/GitHub/repos/repoPath/branches")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```